# $Revision: 1.6 $, $Date: 2007/10/23 23:05:50 $
Summary:	Halified CUPS utilities 
Summary(pl.UTF-8):	HAL-owe narzędzia dla CUPS-a
Name:		hal-cups-utils
Version:	0.6.13
Release:	0.r83.1
License:	CUPS (GPL v2 with OpenSSL linking exception)
Group:		Applications/System
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	435e0a2127677e7a6b06f1890e13af78
Patch0:		%{name}-python.patch
BuildRequires:	cups-devel
# dbus just to satisfy configure
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	glib2-devel >= 1:2.4
BuildRequires:	hal-devel >= 0.5.7
BuildRequires:	sed >= 4.0
Requires:	cups
Requires:	hal >= 0.5.7
Requires:	system-config-printer
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Halified utilities for CUPS:
 - hal_lpadmin
 - hal CUPS backend

%description -l pl.UTF-8
HAL-owe narzędzia dla CUPS-a:
 - hal_lpadmin
 - backend hal dla CUPS-a

%prep
%setup -q -n trunk
%patch0 -p1

sed -i -e 's,/usr/libexec/,%{_libexecdir}/,' systemv/10-hal_lpadmin.fdi

%build
%configure \
	--enable-printconf 
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root, 755)
%doc AUTHORS COPYING ChangeLog README
%{_libexecdir}/hal_lpadmin
%{_prefix}/lib/cups/backend/hal
%{_datadir}/hal/fdi/policy/10osvendor/10-hal_lpadmin.fdi

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hal-cups-utils.spec,v $
Revision 1.6  2007/10/23 23:05:50  patrys
- our postmaster prevents me from using refetchsrc, forcing update

Revision 1.5  2007/10/23 22:33:36  patrys
- 0.6.13+svn83 (taken from Ubuntu, used by Fedora too)

Revision 1.4  2007/07/23 10:08:57  patrys
- fixed

Revision 1.3  2007/07/15 12:56:26  qboosh
- removed incorrect configure patch, fixed cups backend dir
- fixed python patch
- fix lp_admin path in .fdi file

Revision 1.2  2007/07/13 12:10:26  patrys
- fix python shebang

Revision 1.1  2007/07/13 12:06:54  patrys
- initial PLD release
